Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.expr
Interface CallableExpression

All Known Implementing Classes:
  Adjust, ArithmeticExpression10, AvailableEnvironmentVariables, Average, BaseURI, BooleanFn, CodepointEqual, Collection, Compare, Contains, ContextCall, CurrentDateTime, CurrentGroup, CurrentGroupingKey, DeepEqual, DistinctValues, Doc, DocumentFn, DocumentUriFn, ElementAvailable, EnvironmentVariable, Error, EscapeURI, FilterFn, FoldLeftFn, FoldRightFn, FormatDate, FormatInteger, FormatNumber, FunctionArity, FunctionAvailable, FunctionLookup, FunctionName, GeneralComparison, GeneralComparison10, GeneralComparison20, GeneralComparisonEE, Id, Idref, IndexOf, InScopePrefixes, Insert, IntegratedFunctionCall, Lang, MapFn, MapPairsFn, NamespaceForPrefix, Nilled, NormalizeUnicode, ParseJsonFn, ParseXml, Path, Remove, Replace, ResolveQName, ResolveURI, Reverse, Serialize, SerializeJsonFn, SimpleExpression, StringToCodepoints, Subsequence, SystemProperty, Tokenize, Trace, TreatFn, TypeAvailable, UnparsedEntity, UnparsedText, UnparsedTextAvailable, UnparsedTextLines, UriCollection, XPathFunctionCall

    public interface CallableExpression

A generic interface for calling expressions by supplying the values of their subexpressions

Method Summary
`SequenceIterator<? extends Item>` | `call(SequenceIterator<? extends Item>[] arguments, XPathContext context)` Evaluate the expression
`Expression[]` | `getArguments()` Get the subexpressions (arguments to this expression)

Method Detail

### getArguments

    Expression[] getArguments()

  Get the subexpressions (arguments to this expression)

  Returns:
    the arguments, as an array

### call

    SequenceIterator<? extends Item> call(SequenceIterator<? extends Item>[] arguments,
                                          XPathContext context)
                                          throws XPathException

  Evaluate the expression

  Parameters:
    `arguments` - the values of the arguments, supplied as SequenceIterators
    `context` - the dynamic evaluation context
  Returns:
    the result of the evaluation, in the form of a SequenceIterator
  Throws:
    `XPathException` - if a dynamic error occurs during the evaluation of the expression

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.